/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommongroup.entity;

import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

import java.util.List;

/**
 * 常用组管理Entity
 * @author ssrh
 * @version 2018-07-16
 */
public class WorkCommonGroup extends DataEntity<WorkCommonGroup> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 常用组名称
	private String num;		// 常用组编号
	private Office office;		// 部门
	private Office company;		// 公司
    private List<User> userList;
	
	public WorkCommonGroup() {
		super();
	}

	public WorkCommonGroup(String id){
		super(id);
	}

	@ExcelField(title="常用组名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="常用组编号", align=2, sort=8)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="部门ID", align=2, sort=9)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
	
	@ExcelField(title="公司ID", align=2, sort=10)
	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}

    public List<User> getUserList() {
        return userList;
    }

    public void setUserList(List<User> userList) {
        this.userList = userList;
    }
}